var _excluded = ['items', 'textCls', 'titleCls', 'title', 'className', 'icon'];

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    enumerableOnly &&
      (symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })),
      keys.push.apply(keys, symbols);
  }
  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = null != arguments[i] ? arguments[i] : {};
    i % 2
      ? ownKeys(Object(source), !0).forEach(function(key) {
          _defineProperty(target, key, source[key]);
        })
      : Object.getOwnPropertyDescriptors
      ? Object.defineProperties(
          target,
          Object.getOwnPropertyDescriptors(source),
        )
      : ownKeys(Object(source)).forEach(function(key) {
          Object.defineProperty(
            target,
            key,
            Object.getOwnPropertyDescriptor(source, key),
          );
        });
  }
  return target;
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true,
    });
  } else {
    obj[key] = value;
  }
  return obj;
}

function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};
  var target = _objectWithoutPropertiesLoose(source, excluded);
  var key, i;
  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }
  return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }
  return target;
}

/*
 * @Author: codingfly
 * @Description:
 * @Date: 2021-10-13 13:29:39
 * @LastEditTime: 2022-06-13 10:47:11
 * @FilePath: \remaxui\src\tip\index.tsx
 */
import { View } from 'remax/one';
import styles from './styles/index.module.less';
import Space from '../space';
import React from 'react';
import rpxToPx from '../rpx-to-px';
import classNames from 'classnames';
export default (function(_ref) {
  var items = _ref.items,
    textCls = _ref.textCls,
    titleCls = _ref.titleCls,
    _ref$title = _ref.title,
    title = _ref$title === void 0 ? '温馨提示：' : _ref$title,
    className = _ref.className,
    icon = _ref.icon,
    props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/ React.createElement(
    Space,
    _objectSpread(
      _objectSpread(
        {
          size: 4,
          vertical: true,
          alignSelf: 'stretch',
          margin: ''.concat(rpxToPx(18), 'px 0 0'),
        },
        props,
      ),
      {},
      {
        className: classNames(className),
      },
    ),
    /*#__PURE__*/ React.createElement(
      Space,
      {
        alignItems: 'center',
      },
      icon,
      /*#__PURE__*/ React.createElement(
        View,
        {
          className: classNames(styles.title, titleCls),
        },
        title,
      ),
    ),
    /*#__PURE__*/ React.createElement(
      Space,
      {
        vertical: true,
        alignItems: 'end',
      },
      /*#__PURE__*/ React.createElement(
        Space,
        {
          vertical: true,
          style: {
            width: rpxToPx(666),
          },
        },
        /*#__PURE__*/ React.createElement(
          View,
          {
            className: classNames(textCls, styles.text),
          },
          items.map(function(item, index) {
            return /*#__PURE__*/ React.createElement(
              View,
              {
                key: index,
              },
              item,
            );
          }),
        ),
      ),
    ),
  );
});
